database_api.list_account_recovery_requests
since HF11
Purpose
Возвращает список заявок на восстановление аккаунта (account recovery request). Параметры: start:string, limit:int, order:string
limit- до 1000.orderможет быть одним из:by_account- упорядочение по имени аккаунтаby_expiration- упорядочение по сроку истечения (expiration)
| account (string) | limit (int) | order (string) | | |--------------------|-| | "steemit" | 10 | "by_account" | Запрос заявок на восстановление для аккаунта с именем "steemit", упорядоченных по имени аккаунта. | | ["1960-01-01T00:00:00"] | 10 | "by_expiration"| Запрос заявок на восстановление на эту дату, упорядоченных по сроку истечения. |
Parameters
PARAMETERS
json
{
"start": null,
"limit": 0,
"order": "by_name"
}Example
Example 1
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_account_recovery_requests",
"params": {
"start": "",
"limit": 10,
"order": "by_account"
},
"id": 1
}'Example 2
BASH
bash
curl -s https://api.steemit.com \
-H 'Content-Type: application/json' \
--data-binary '{
"jsonrpc": "2.0",
"method": "database_api.list_account_recovery_requests",
"params": {
"start": [
"1960-01-01T00:00:00"
],
"limit": 10,
"order": "by_expiration"
},
"id": 1
}'Response
RESPONSE
json
{
"requests": []
}